---
title: Notification - API Credit Card
slug: en/nicepay-api-non-snap-notification-api-credit-card
description: Information about Non-SNAP Payment API - Notification - Credit Card API available on NICEPAY system
image: https://archbee-image-uploads.s3.amazonaws.com/ZHvSjR5ZrsoxwKbJa3xmo/eJ0ZElEWkp0ox2hHgUbHW_microsoftteams-image.png
icon: {"faIcon":"fa-solid fa-book"}
docTags: 
createdAt: 2022-11-22T08:00:15.000Z
---

# About Notification - API Credit Card

***

NICEPAY sent push notifications through Merchant's `dbProcessUrl`. The Merchant needs to reassure there is no Blacklist NICEPAY IP and should Whitelist NICEPAY IP to get the push notification only from NICEPAY's server.

| **Request Method**  | <font color="#3b9f0f">**POST**</font>****                                                                                                                                                       |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Merchant Token**  | SHA256 ( `iMid`+  `tXid` + `amt`+ `merchantKey`)                                                                                                                                                |
| **IP**              | IP Public environtment Production:<br />`103.20.51.34`<br />`103.20.51.33`<br />`18.98.96.50`<br /><br />IP Public environtment Dev:<br />`103.20.51.39`<br />`103.20.51.40`<br />`18.98.96.54` |
| **User-Agent**      | `User-Agent: Jakarta Commons-HttpClient/3.1`                                                                                                                                                    |



# Notification Parameter for Notification - API Credit Card

***

:::hint{type="info"}
When your `dbProcessUrl` received a notification, NICEPAY strongly recommend Merchant to verify the notification using the [Status Inquiry - API Credit Card](docId\:NTP9jTSSg4RtkebeOh_Dr).
:::

| **Parameter**           | **Type** | **Size** | **Description**                                                                                                  | **Example / Notes** |
| ----------------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- | ------------------- |
| `tXid `                 | N        | 30       | Transaction ID                                                                                                   |                     |
| `merchantToken`         | AN       | 255      | Merchant Token                                                                                                   |                     |
| `referenceNo`           | ANS      | 40       | Merchant Order Number                                                                                            |                     |
| `payMethod`             | N        | 2        | [Payment Method Code](docId\:NQ1y7vMa25ZtvQHN5He6W)                                                              |                     |
| `amt`                   | N        | 12       | Payment Amount                                                                                                   |                     |
| `transDt`               | N        | 8        | Transaction Date                                                                                                 |                     |
| `transTm`               | N        | 6        | Transaction Time                                                                                                 |                     |
| `currency `             | A        | 3        | Currency                                                                                                         |                     |
| `goodsNm`               | AN       | 100      | Goods Name                                                                                                       |                     |
| `billingNm`             | A        | 100      | Billing Name                                                                                                     |                     |
| `matchCl`               | N        | 1        | Payment Flag: [Notification Match Amount Indicator](docId\:HheZYw5iKlIptKqYyA5bI)                                |                     |
| `status`                | A        | 1        | Deposit Status: [Notification Status Code](docId\:QUmT9FmvjDH5GJHd2PWy8) <br />`0` : Deposit<br />`1` : Reversal |                     |
| `cpGuaranteeableStatus` | N        | 2        | Cp Guaranteeable Status                                                                                          |                     |



# Additional Parameter for Notification - API Credit Card

***

| **Parameter**    | **Type** | **Size** | **Description**                                                                                                                      | **Example / Notes** |
| ---------------- | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ | ------------------- |
| `authNo`         | N        | 10       | Approval Number                                                                                                                      |                     |
| `IssueBankCd`    | A        | 4        | [Issuing Bank Code](docId\:HlxvgrXVxWD90n8ohNKm0)                                                                                    |                     |
| `IssueBankNm`    | A        | 100      | Issuing Bank Name                                                                                                                    |                     |
| `acquBankCd`     | A        | 4        | [Acquiring Bank Code](docId\:HlxvgrXVxWD90n8ohNKm0)                                                                                  |                     |
| `acquBankNm`     | A        | 4        | Acquiring Bank Name                                                                                                                  |                     |
| `cardNo`         | ANS      | 20       | Card Number with Masking                                                                                                             |                     |
| `cardExpYymm`    | N        | 4        | Card Expiry (`YYMM`)                                                                                                                 |                     |
| `instmntMon`     | N        | 2        | Installment Month                                                                                                                    |                     |
| `instmntType`    | N        | 2        | [Installment Type Code](docId:_Wzur5wjwhrDR8YXI-Ppi)                                                                                 |                     |
| `preauthToken`   | AN       | 255      | Preauth Token                                                                                                                        |                     |
| `recurringToken` | AN       | 255      | Recurring token                                                                                                                      |                     |
| `ccTransType`    | A        | 2        | [Credit Card Trans type](docId:7PAs_VD5YLG4VDurMygWo)<br />`1` : Normal<br />`2` : Recurring<br />`3` : Pre-Auth<br />`4` : Captured |                     |
| `vat`            | N        | 12       | VAT Number                                                                                                                           |                     |
| `fee`            | N        | 12       | Service Fee                                                                                                                          |                     |
| `notaxAmt`       | N        | 12       | Tax Free Amount                                                                                                                      |                     |

:::hint{type="warning"}
Merchant Tokens that received from the Notification, Merchant must have an internal comparison to prevent fake/invalid notifications.
:::



# Sample Parameter for Notification - API Credit Card

***

## Request Parameter

:::CodeblockTabs
cURL

```curl
curl -X POST "https://www.merchantdbprocessurl.com" \
     -H "Content-Type: application/x-www-form-urlencoded" \
     -d "ccTransType=1" \
     -d "fee=0" \
     -d "tXid=IONPAYTEST01202212141419051594" \
     -d "amt=5000" \
     -d "notaxAmt=0" \
     -d "cardNo=453211*****1111" \
     -d "issuBankCd=OTHR" \
     -d "matchCl=1" \
     -d "preauthToken=null" \
     -d "cardExpYymm=2712" \
     -d "acquBankNm=Mandiri" \
     -d "payMethod=01" \
     -d "currency=IDR" \
     -d "instmntMon=1" \
     -d "cc_trans_type=1" \
     -d "issuBankNm=" \
     -d "merchantToken=f8e51ce8c14527592c9a5f1df61975759123c93a75861c7629cc20f32b1d376b" \
     -d "goodsNm=Goods" \
     -d "referenceNo=ordNo20221214141284" \
     -d "authNo=051594" \
     -d "transTm=141905" \
     -d "cpGuaranteeableStatus=null" \
     -d "recurringToken=null" \
     -d "vat=0" \
     -d "instmntType=1" \
     -d "billingNm=John+Doe" \
     -d "acquBankCd=BMRI" \
     -d "transDt=20221214" \
     -d "status=0"

```
:::

## Response Parameter

```json
{
    "responseCode": 200,
    "responseMessage": "Success"
}
```

